.\"	$NetBSD: time.1,v 1.18 2003/08/07 11:16:15 agc Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)time.1	8.1 (Berkeley) 6/6/93
.\"
.Dd January 24, 2009
.Dt TIME 1
.Os
.Sh NAME
.Nm time
.Nd time command execution
.Sh SYNOPSIS
.Nm
.Op Fl clp
.Ar utility
.Op Ar argument ...
.Sh DESCRIPTION
The
.Nm
utility
executes and
times
.Ar utility .
After the
.Ar utility
finishes,
.Nm
writes the total time elapsed,
the time consumed by system overhead,
and the time used to execute
.Ar utility
to the standard error stream.
Times are reported in seconds.
.Pp
Available options:
.Bl -tag -width Ds
.It Fl c
Displays the default
.Xr csh 1
summary format.
.It Fl l
Lists resource utilization information.
The contents of the
.Ar utility
process'
.Em rusage
structure are printed, see below.
.It Fl p
The output is formatted as specified by
.St -p1003.2-92 .
.El
.Pp
Some shells, such as
.Xr csh 1
and
.Xr ksh 1 ,
have their own and syntactically different builtin version of
.Nm .
The utility described here
is available as
.Pa /usr/bin/time
to users of these shells.
.Ss Resource Utilization
If the
.Fl l
option is given, the following resource usage
informations are displayed
in addition to the timing information:
.Bl -item -offset indent -compact
.It
maximum resident set size
.It
average shared memory size
.It
average unshared data size
.It
average unshared stack size
.It
page reclaims
.It
page faults
.It
swaps
.It
block input operations
.It
block output operations
.It
messages sent
.It
messages received
.It
signals received
.It
voluntary context switches
.It
involuntary context switches
.El
.Sh EXIT STATUS
The
.Nm
utility exits with one of the following values:
.Bl -tag -width indent
.It 1-125
An error occurred in the
.Nm
utility.
.It 126
The
.Ar utility
was found but could not be invoked.
.It 127
The
.Ar utility
could not be found.
.El
.Pp
Otherwise, the exit status of
.Nm
will be that of
.Ar utility .
.Sh FILES
.Bl -tag -width \*[Lt]sys/resource.h\*[Gt] -compact
.It \*[Lt]sys/resource.h\*[Gt]
.El
.Sh SEE ALSO
.Xr csh 1 ,
.Xr ksh 1 ,
.Xr getrusage 2
.Sh STANDARDS
The
.Nm
utility conforms to
.St -p1003.2-92 .
.Sh BUGS
The granularity of seconds on microprocessors is crude and
can result in times being reported for CPU usage which are too large by
a second.
